.\"	$NetBSD: mknetid.8,v 1.10 2005/02/26 16:32:04 wiz Exp $
.\"
.\" Copyright (c) 1996 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt MKNETID 8
.Os
.Sh NAME
.Nm mknetid
.Nd a NIS filter program
.Sh SYNOPSIS
.Nm
.Op Fl q
.Bk -words
.Op Fl d Ar domain
.Ek
.Bk -words
.Op Fl p Ar passwdfile
.Ek
.Bk -words
.Op Fl g Ar groupfile
.Ek
.Bk -words
.Op Fl h Ar hostfile
.Ek
.Bk -words
.Op Fl m Ar netidfile
.Ek
.Sh DESCRIPTION
.Nm
is used to create a map named
.Pa netid.byname .
The map consists of information from
.Xr passwd 5 ,
.Xr group 5
and
.Xr hosts 5
eventually concatenated with a
.Xr netid 5
file.
.Pp
The options are as follows:
.Bl -tag -width "-p passwdfile"
.It Fl d Ar domain
.Tn NIS
domain to use instead of the default domain.
.It Fl g Ar groupfile
Alternate
.Xr group 5
file.
Default is
.Pa /etc/group .
.It Fl h Ar hostfile
Alternate
.Xr hosts 5
file.
Default is
.Pa /etc/hosts .
.It Fl m Ar netidfile
Alternate
.Xr netid 5
file.
Default is
.Pa /etc/netid .
.It Fl p Ar passwdfile
Alternate
.Xr passwd 5
file.
Default is
.Pa /etc/passwd .
.It Fl q
Keep quiet about multiple occurrences of a uid; ignore all but the first.
.El
.Sh FILES
.Bl -tag -width "/etc/passwd" -compact
.It Pa /etc/group
.It Pa /etc/hosts
.It Pa /etc/netid
.It Pa /etc/passwd
.El
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr group 5 ,
.Xr hosts 5 ,
.Xr netid 5 ,
.Xr passwd 5 ,
.Xr nis 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
